<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">PlantbusSubproblemCW</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">decoop::PlantbusSubproblemCW Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ae9afee3d671f727efb530ff3772d2b77">ComputeFeasDistance</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#af3205ee08bd2a494b33820d612b7b5ba">ComputeFeasSol</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a8c5121e208bb21fa0c52cf784514419b">ComputeFeasSol</a>(const unsigned key) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a899358e94d997203250bad1b94e20e54">constraints_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a91f5690237483f342b41e361b6d46cd5">corepoint_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a5fd86f8e5255a5a93ae8a2020909cf0f">coupling_equation_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#af0fa8f272e5f8800a7bf532607739d93">coupling_equation_name_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#adbfb3166b1d79902135b0cce8b9b096d">equations_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a7a478d2508e1a163bca9baf99db8539d">GenerateAndVerifyCut</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a447b774cba6493024db2f58dd7258907">get_plant_load</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a3f42075cda7f69096355045d648c4599">get_pow_sugg</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a058e9ac14a3ca2307517d5b241767b15">get_pow_sugg</a>(const unsigned i) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a2d5561f12e79233e48339c1c2bac1caf">GetCurrLhs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a64c81ab64caab70f9c6aff7f5bb64a3b">GetModel</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a06f49aeddff2c1981a3a231c549b8000">GetModelStatus</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#aa890c1d64806136f001992e4eaffb703">GetNewCoeff</a>(const unsigned key) const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ab500692dcfb4bdb1c3fc11907356cb0f">GetNewCoeffs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a4fcbf5d97b156d8ee4031ea96c0c7af5">GetNewRhs</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a5e02745359b70d8f9f65d14bf6926244">GetSubproblemObjective</a>() const </td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ae2779d2f3712e01095a5d16b83964942">InitObject</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#aaf7b1f8a23f5b45aa865450477990f68">lambda_index_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ad7e12446fa7a1824dd12803d1e6534ab">model_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#aac4daea3f91b964dd81e2b80ec15cde9">model_vars_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ad247ed38e4efce149d022550e0478c36">num_timesteps_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#af48cb65d704614e369696498d709a18e">options_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a3ef5a600d1de8f464eed5d37a441f963">plant_load_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#aa3c0b8800ac33bd051f94b56a302183f">PlantbusSubproblemCW</a>(const GRBEnv &amp;env, const std::string &amp;option_path, const double plant_load, const unsigned num_timesteps)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ad2e244d13adaf901ad358e8f695d29a1">pow_sugg_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a937a25c561ee3be032596ca30c90f4e7">rhs_num_records_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#afbf4b8dc57126920f32ad67adb84af8e">set_pow_sugg</a>(const std::vector&lt; double &gt; &amp;in)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a00e9f179a658861304dc1bfa6a9bb62d">set_pow_sugg</a>(const unsigned key, const double val)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ae71d6b0c1a18c8e31c45235a4a1f6b84">Solve</a>()</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#ae8279974b7182bbd519f8385924fac33">UpdateCorepoint</a>(const unsigned key, const double new_corepoint)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#a69065f486b0ac29be6db34f5c784f43b">UpdateCorepoint</a>(const std::vector&lt; double &gt; &amp;new_corepoints)</td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html#aecdb6c3ea45c871f69081038fba5aa25">variables_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html">decoop::PlantbusSubproblemCW</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
